Pular para o conteúdo

HH (HeadHunter) Checker API: Bulk Phone Number Verification

Este conteúdo não está disponível em sua língua ainda.

Check whether phone numbers in your file have HH (HeadHunter) accounts. Same batch task workflow as other social / messenger checkers.

Upload detection file — example:

curl --location 'https://api.checknumber.ai/v1/tasks' \
--header 'X-API-Key: API-KEY' \
--form 'file=@"./numbers.txt"' \
--form 'task_type="hh"'

Check task status — example:

curl --location 'https://api.checknumber.ai/v1/gettasks' \
--header 'X-API-Key: API-KEY' \
--form 'task_id="task_id"'

Response after upload succeeds

{
"task_id": "d4g8o46p2jvh04o9uolg",
"status": "pending",
"total": 2049,
"message": "Task created successfully",
"created_at": "2025-11-21T15:58:08.916446594Z"
}

Response while processing

{
"created_at": "2025-11-21T08:27:09.933Z",
"updated_at": "2025-11-21T08:27:10.241Z",
"task_id": "d4g24nep2jvh04o9uoh0",
"user_id": "wfi7wGPS4B4PdtTMox5Y",
"status": "processing",
"total": 2049,
"success": 1024,
"failure": 0
}

Response when finished (exported)

{
"created_at": "2025-11-21T08:27:09.933Z",
"updated_at": "2025-11-21T08:27:10.241Z",
"task_id": "d4g24nep2jvh04o9uoh0",
"user_id": "wfi7wGPS4B4PdtTMox5Y",
"status": "exported",
"total": 2049,
"success": 2049,
"failure": 0,
"result_url": "https://example-link-to-results.zip"
}

Upload file request URL

POST https://api.checknumber.ai/v1/tasks

Upload file request parameters

ParameterDescription
filefile, one phone number per line (E.164 format)
task_typestring, set to hh

Check task status request URL

POST https://api.checknumber.ai/v1/gettasks

Check task status request parameters

ParameterDescription
task_idstring, Task ID returned from task creation

Result fields

FieldDescription
NumberPhone number in E.164 format
hhWhether the number is registered on HeadHunter (yes / no style; labels per export)

Response format

FieldDescription
created_atTimestamp when task was created
updated_atTimestamp of last task status update
task_idUnique task identifier
user_idUser ID
statuspending · processing · exported
totalTotal phone numbers processed
successNumbers successfully identified
failureNumbers that failed processing
result_urlDownload URL when status is exported

Status codes

StatusDescription
200charge, request successful
400free, bad request
500free, server error